PAPI_disable_component_by_name(3)

NAME
PAPI_disable_component_by_name - disables the named component

SYNOPSIS

Detailed Description

Return values
    ENOCMP component does not exist
    ENOINIT unable to disable the component, the library has already been initialized

Parameters
    component_name name of the component to disable.

Example:

    int result;
    result = PAPI_disable_component_by_name("example");
    if (result==PAPI_OK)
        printf("component \"example\" has been disabled\n");
    //...
    PAPI_library_init(PAPI_VER_CURRENT);

     PAPI_disable_component_by_name() allows the user to disable a component before PAPI_library_init() time. This is useful if the user knows they do not with to use events from that component and want to reduce the PAPI library overhead.

PAPI_disable_component_by_name() must be called before PAPI_library_init().

See also
    PAPI_library_init

    PAPI_disable_component

Author

Generated automatically by Doxygen for PAPI from the source code.